欢迎访问鸿雪径软件工作室,这里介绍软件工作室的相关技术产品、动态以及鸿雪径杂谈,如有技术合作请与工作室联系!邮费网 易食烤吧 特产大全网
首页 > Linux/Unix > 解决安装nginx时Can't locate ExtUtils/Embed.pm in @INC (@INC contains: 的错误

解决安装nginx时Can't locate ExtUtils/Embed.pm in @INC (@INC contains: 的错误

发布时间:2016-01-12 作者: 点击:1344

在安装编译nginx时今天碰到了如下错误:

checking for perl
 + perl version: v5.10.1 (*) built for x86_64-linux-thread-multi
Can't locate ExtUtils/Embed.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .).
BEGIN failed--compilation aborted.
./configure: error: perl module ExtUtils::Embed is required

这个问题就是说明perl相关开发和embed包没安装,安装即可解决。

如果是centos类系统,可以使用yum直接安装。

如下:

yum -y install perl-devel perl-ExtUtils-Embed


更多关于 nginx,perl 的信息
本站部分文章转载于网上,版权归原作者所有。如果侵犯您的权益,请Email和本站联系!
鸿雪径 www.HongXueJing.com  冀ICP备07017673号-4